Partners

Fetch Partner User Context

Fetch a partner user context

get
/v1/partner/user/{userId}/context/{contextId}/fetch

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

userIdstring* Required

The ID of the partner user

contextIdstring* Required

The ID of the context to retrieve

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.partner.user.context.fetch(

userId, contextId
)
{
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"blueprintId":"string",
"botId":"string",
"datasetId":"string",
"skillsetId":"string",
"payload":"object"
}
The context was retrieved successfully